#ifndef _CFGLR_LOG_H_
#define _CFGLR_LOG_H_

#ifdef ESP_PLATFORM
#include "esp_log.h"
#include "cfglr_nvs.h"

#define CFGLR_LOGI(TAG, STR, ...) ESP_LOGI(TAG, STR, ##__VA_ARGS__)
#define CFGLR_LOGD(TAG, STR, ...) ESP_LOGD(TAG, STR, ##__VA_ARGS__)
#define CFGLR_LOGE(TAG, STR, ...) ESP_LOGE(TAG, STR, ##__VA_ARGS__)
#define CFGLR_LOGW(TAG, STR, ...) ESP_LOGW(TAG, STR, ##__VA_ARGS__)

#else
#define CFGLR_LOGI(TAG, STR, ...) print(TAG); printf(STR, ##__VA_ARGS__);
#define CFGLR_LOGD(TAG, STR, ...) print(TAG); printf(STR, ##__VA_ARGS__);
#define CFGLR_LOGE(TAG, STR, ...) print(TAG); printf(STR, ##__VA_ARGS__);
#define CFGLR_LOGW(TAG, STR, ...) print(TAG); printf(STR, ##__VA_ARGS__);
#endif

#endif
