#ifndef _CFGLR_SIGNAL_LVGL_H_
#define _CFGLR_SIGNAL_LVGL_H_

#include "configulator.h"

uint8_t cfglr_signaler_lvgl_init(cfglr_signaler_t *signaler, cfglr_element_t *element, cfglr_handle_t *handle);
uint8_t cfglr_signaler_lvgl_dispatch(cfglr_signaler_t *signaler, cfglr_element_t *element, cfglr_signal_e sig);

#define CFGLR_SIGNALER_LVGL(KEY, LV_OBJ) {\
  .key = KEY,\
  .init = &cfglr_signaler_lvgl_init,\
  .dispatch = &cfglr_signaler_lvgl_dispatch,\
  .handle = LV_OBJ,\
}

#endif
